Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Class DefaultHighlighterFactory.CircleHighlighter

    java.lang.Object
      jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
          jpicedt.graphic.view.DefaultHighlighterFactory.CircleHighlighter

All Implemented Interfaces:
  Highlighter

Enclosing class:
  DefaultHighlighterFactory

public class DefaultHighlighterFactory.CircleHighlighter
extends DefaultHighlighterFactory.DefaultHighlighter

a Highlighter for rendering circles. This comprises the three control-points that make sense with PicCircleFrom3Points.

Field Summary

Fields inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`bounds, element, pointIndexIterator, ptBuffer, rectBuffer, shape`

Constructor Summary
`DefaultHighlighterFactory.CircleHighlighter(PicCircleFrom3Points circle)` construct a new Highlighter for the given ellipse

Method Summary
`protected PointIndexIterator` | `getControlPointsIterator()` Returns an iterator over control-points that should be displayed by the hightligher.

Methods inherited from class jpicedt.graphic.view.DefaultHighlighterFactory.DefaultHighlighter
`changedUpdate, getBounds, getElement, getHighlighterFactory, hitTest, paint, syncBounds, syncShape`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHighlighterFactory.CircleHighlighter

    public DefaultHighlighterFactory.CircleHighlighter(PicCircleFrom3Points circle)

  construct a new Highlighter for the given ellipse

Method Detail

### getControlPointsIterator

    protected PointIndexIterator getControlPointsIterator()

  Returns an iterator over control-points that should be displayed by the hightligher. This default implementation iterates over all control-points.

  Overrides:
    `getControlPointsIterator` in class `DefaultHighlighterFactory.DefaultHighlighter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org